/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
 * 
 *
 *   This file is part of MoleCuilder.
 *
 *    MoleCuilder is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    MoleCuilder is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * WarrantyAction.cpp
 *
 *  Created on: Oct 14, 2010
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include <iostream>
#include <string>

#include "Actions/CommandAction/WarrantyAction.hpp"

using namespace MoleCuilder;

// and construct the stuff
#include "WarrantyAction.def"
#include "Action_impl_pre.hpp"
/** =========== define the function ====================== */
ActionState::ptr CommandWarrantyAction::performCall() {
  std::cout << std::endl;
  std::cout << "This program is distributed in the hope that it will be useful," << std::endl;
  std::cout << "but WITHOUT ANY WARRANTY; without even the implied warranty of" << std::endl;
  std::cout << "MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE." << std::endl;
  std::cout << std::endl;

  return Action::success;
}

ActionState::ptr CommandWarrantyAction::performUndo(ActionState::ptr _state) {
  return Action::success;
}

ActionState::ptr CommandWarrantyAction::performRedo(ActionState::ptr _state){
  return Action::success;
}

bool CommandWarrantyAction::canUndo() {
  return true;
}

bool CommandWarrantyAction::shouldUndo() {
  return false;
}
/** =========== end of function ====================== */
